Upgrading Mods to 0.10.25 and Later

Discuss modding questions and implementation details.
User avatar
Ralzar
Posts: 1600
Joined: Mon Oct 07, 2019 4:11 pm
Location: Norway

Re: Upgrading Mods to 0.10.25 and Later

Post by Ralzar »

jimfcarroll wrote: Sun Jul 26, 2020 2:09 pm I'm trying to update Tedious Travel which uses HardStrings. By just grepping through the code, I know the index of the localized string but I can't find an appropriate const and I don't want to hard code the index to a literal int ('9' in this case).

Is there an example somewhere in the codebase of how to reference these string resources correctly? I couldn't find one grepping through the code.

Thanks
Just so you know, Hazelnut is working on a new travel mod to hopefully take over for Tedious Travel.
My released mods

"I feel like Ralzar specifically wrote those mods for me and then said "Use them". Just so he could watch me die more."
-FuzzyBeanPlays

jimfcarroll
Posts: 92
Joined: Tue Feb 12, 2019 12:55 am

Re: Upgrading Mods to 0.10.25 and Later

Post by jimfcarroll »

Ralzar wrote: Sun Jul 26, 2020 2:31 pm Just so you know, Hazelnut is working on a new travel mod to hopefully take over for Tedious Travel.
Yeah. I saw that. Thanks. I have my own updates to TT already anyway and just wanted to get this compiling against the latest codebase. I have no intention of picking up maintaining it.

User avatar
Hazelnut
Posts: 2501
Joined: Sat Aug 26, 2017 2:46 pm
Contact:

Re: Upgrading Mods to 0.10.25 and Later

Post by Hazelnut »

jimfcarroll wrote: Sun Jul 26, 2020 2:09 pm I'm trying to update Tedious Travel which uses HardStrings. By just grepping through the code, I know the index of the localized string but I can't find an appropriate const and I don't want to hard code the index to a literal int ('9' in this case).

Is there an example somewhere in the codebase of how to reference these string resources correctly? I couldn't find one grepping through the code.

Thanks
yeah, I already fixed this for my mods. An example:

Code: Select all

                //DaggerfallUI.AddHUDText(HardStrings.avoidDeath);
                DaggerfallUI.AddHUDText(TextManager.Instance.GetLocalizedText("avoidDeath"));
See my mod code for examples of how to change various aspects of DFU: https://github.com/ajrb/dfunity-mods

jimfcarroll
Posts: 92
Joined: Tue Feb 12, 2019 12:55 am

Re: Upgrading Mods to 0.10.25 and Later

Post by jimfcarroll »

Perfect! Thanks.

User avatar
Interkarma
Posts: 5838
Joined: Sun Mar 22, 2015 1:51 am

Re: Upgrading Mods to 0.10.25 and Later

Post by Interkarma »

jimfcarroll wrote: Sun Jul 26, 2020 2:09 pmIs there an example somewhere in the codebase of how to reference these string resources correctly? I couldn't find one grepping through the code.
There's some more information in this topic about 0.10.26 text changes.

viewtopic.php?f=4&t=3947

fosley
Posts: 48
Joined: Wed Sep 23, 2020 1:33 am

Re: Upgrading Mods to 0.10.25 and Later

Post by fosley »

Concerning DFU 0.10.26:

The OP says Unity 2019.4.2 is the correct version for DFU 0.10.25 and later. But I just downloaded DFU 0.10.26, installed Unity 2019.4.2, and it says the saved project is on Unity 2019.4.10f1. Should I upgrade Unity to 2019.4.10, or will 2019.4.2 continue to work? Conversely, if 2019.4.2 is fine, will it hurt anything to use 2019.4.10?

User avatar
Ralzar
Posts: 1600
Joined: Mon Oct 07, 2019 4:11 pm
Location: Norway

Re: Upgrading Mods to 0.10.25 and Later

Post by Ralzar »

fosley wrote: Mon Sep 28, 2020 5:44 pm Concerning DFU 0.10.26:

The OP says Unity 2019.4.2 is the correct version for DFU 0.10.25 and later. But I just downloaded DFU 0.10.26, installed Unity 2019.4.2, and it says the saved project is on Unity 2019.4.10f1. Should I upgrade Unity to 2019.4.10, or will 2019.4.2 continue to work? Conversely, if 2019.4.2 is fine, will it hurt anything to use 2019.4.10?
viewtopic.php?f=4&t=4134
My released mods

"I feel like Ralzar specifically wrote those mods for me and then said "Use them". Just so he could watch me die more."
-FuzzyBeanPlays

fosley
Posts: 48
Joined: Wed Sep 23, 2020 1:33 am

Re: Upgrading Mods to 0.10.25 and Later

Post by fosley »

Ah, thanks. I thought I remembered a post about it, but then I couldn't find it.

Post Reply